Skip to content

Exchange Eligibility

Request

The Eligibility API is the first step in the GDS exchange workflow. It is an optional step.
Eligibility returns information about whether a ticket may have value in an exchange or refund scenario, and the range of potential exchange and refund fees. This information relates only to fees and not any fare or tax difference for the itinerary.
Send either Ticket or Locator as a query parameter. Ticket returns eligibility details for only the one traveler on the ticket, while Locator returns details for all travelers on that reservation.
A request by reservation locator for a reservation that has multiple open tickets for one passenger will return eligibility information only for the last ticket listed in the reservation. In this scenario you should instead send the request by ticket number.

Security
bearerAuth
Query
Locatorstring, <= 128 characters

The reservation locator of the itinerary you want to request eligibility information for.
Append '?Locator=' and the reservation locator to the GET request.
Not supported for any ticket with multiple offers.

Example:Locator=ABC123
authoritystring, <= 128 characters

Name of the authoritative system that created this guid

Example:authority=Travelport
Ticketstring, <= 128 characters

The ticket number of the ticketed itinerary you want to request eligibility information for.
Append '?Ticket=' and the ticket number to the GET request.
Use the Ticket parameter when sending an Eligibility request for any ticket with multiple offers.

Example:Ticket=1259900123456
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
curl -i -X GET \
  'https://developer.travelport.com/_mock/apis/flights/eligibility/ticketchangeeligibilities?Locator=ABC123&authority=Travelport&Ticket=1259900123456' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
TicketChangeEligibilityListResponseobject(TicketChangeEligibilityListResponse)

The Eligibility response returns details on whether the ticket can be exchanged or refunded, and the range of possible change fees.

Response
{ "TicketChangeEligibilityListResponse": { "TicketChangeEligibility": [ {} ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }